#ifndef AVR_CONTEXT_H
#define AVR_CONTEXT_H


/* ========================= CONTEXT DEFINITIONS =========================== */
/* Type Qualifiers */
#define CAL	volatile const

/* Boolean States */
#define FALSE	0
#define TRUE	1

#ifndef NULL
#define NULL	0
#endif

/*--------------------------- TYPE DEFS -------------------------------------*/

typedef unsigned        char U8;		/* Unsigned  8 bit variable			 */
typedef unsigned        char FLAG;		/* Unsigned  8 bit variable			 */
typedef unsigned        char MODE;		/* Unsigned  8 bit variable			 */
typedef unsigned short   int U16;		/* Unsigned 16 bit variable			 */
typedef unsigned long    int U32;		/* Unsigned 32 bit variable			 */
typedef unsigned short   int TIME_MSEC;	/* Unsigned 16 bit variable			 */
typedef   signed        char S8;		/*   Signed  8 bit variable			 */
typedef   signed short   int S16;		/*   Signed 16 bit variable			 */
typedef   signed long    int S32;		/*   Signed 32 bit variable			 */
typedef                float F32;		/* 32  bit floating point variable	 */
typedef                float TIME_SEC;	/* 32  bit floating point variable	 */

/* fixed point types */
typedef   signed short   int FX;		/* generic fixed point				 */
typedef   signed short   int FX6;		/* 1 bit sign, 9bits, 6bits frac	 */
typedef   signed short   int FX7;		/* 1 bit sign, 8bits, 7bits frac	 */
typedef   signed short   int FX8;		/* 1 bit sign, 7bits, 8bits frac	 */
typedef   signed short   int FXA;		/* 1 bit sign, 5bits, 10bits frac	 */
typedef   signed short   int FXB;		/* 1 bit sign, 4bits, 11bits frac	 */
typedef   signed short   int FXE;		/* 1 bit sign, 2bits, 14bits frac	 */



#endif

/*
 * ------------------------------------ 80 ------------------------------------
 */
